Appearance
PATCH
/web-pages/draft/drafts/{draftId}/locales/{contentLocaleId}Required scope:
viskan:draft:updateUpdates a locale by ID.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
contentLocaleId string Format:
uuidIdentifier of the content locale. A content locale represents a language and country combination for content translation.
Request body
JSON
{
"countries": [
{
"countryCode": "SE",
"enabled": true
}
]
}
Response
The locale was updated successfully.
| Error code | Description |
|---|---|
web-pages.update-locale.country-code-invalid | Country code is invalid. |
web-pages.update-locale.country-code-required | Country code is required. |
web-pages.update-locale.country-codes-do-not-match | Country codes do not match the published locale. |
web-pages.update-locale.draft-not-found | Draft not found. |
web-pages.update-locale.enabled-required | Enabled is required. |
web-pages.update-locale.locale-not-found | Locale not found. |